package io.gmss.fiscad.paylaods.response.restoration;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.gmss.fiscad.deserializer.LocalDateDeserializer;

import java.time.LocalDate;


public interface PiecePayLoad {
    public Long getIdBackend();

    public Long getExternalKey();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateExpiration();

    public String getNumeroPiece();

    public String getUrl();

    public Long getTypePieceId();

    public Long getPersonneId();

    public Long getActeurConcerneId();

    public Long getMembreGroupeId();

    public Long getSourceDroitId();

    public Long getModeAcquisitionId();

    public boolean getSynchronise();

    public String getObservation();

    public Long getTerminalId();

    public Long getMax_numero_piece_id();

    public Long getMax_numero_acteur_concerne_id();

    public Long getEnqueteId();

    public Long getBlocId();

}
